<ion-header>
  <ion-toolbar color="rmgray">
    <ion-title>playing Music</ion-title>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content color="rmgray">
  <div class="content-music">
    <ion-img src="assets/img/music.png"></ion-img>
  </div>
  <div class="text-center">
    <h2 *ngIf="genreSelected!==undefined">{{genreSelected.name}}</h2>
    <h4><ion-text color="medium" *ngIf="musicSelected!==undefined">{{test.name}}</ion-text></h4>
  </div>
  <div class="p-10">
    <div class="d-flex justify-between section-volume">
      <div>
        <ion-button  fill="clear" class="bg-white before-buutton" (click) ="reduceVolume()">
          <ion-icon lot="icon-only" name="remove-outline" class="after-icon"></ion-icon>
        </ion-button>
        <!-- <ion-icon name="volume-high-outline"></ion-icon> -->
      </div>
        <ion-range color="rmgray" min="0" max="1" [(ngModel)]="currentPositionVolume" mode="ios" [pin]="true" class="ion-range-volume"></ion-range>
     
      <div>
        <ion-button  fill="clear" class="bg-white before-buutton" (click) ="addVolume()">
          <ion-icon slot="icon-only" name="add-outline" class="before-icon"></ion-icon>
        </ion-button>
        <!-- <ion-icon name="volume-high-outline"></ion-icon> -->
      </div>
    </div>
    <div class="p-10 text-center"><ion-text>volume : <ion-text color="rmprimary">{{actualVolume*10}}</ion-text></ion-text></div>
    <ion-range (click) = "takeNewPosition()" min="0" [max]="duration" [(ngModel)]="currentPosition" mode="ios" [pin]="true" class="ion-range-play"></ion-range>
  </div>
  <div class="d-flex justify-between p-20">
    <div><span>{{curentPosition}}</span></div>
    <div><span>{{audioDuration}}</span></div>
  </div>
  <div class="section-play d-flex justify-around">
    <!-- <div>

    </div>
    <div class="play-button">
      <ion-icon name="caret-forward-circle-sharp" color="rmwhite"></ion-icon>
    </div>
    <div>
    </div> -->
    <ion-button  fill="clear" class="bg-white before-buutton" (click)="playPrevious()">
      <ion-icon slot="icon-only" name="play-back" class="before-icon"></ion-icon>
    </ion-button>
    <ion-button  fill="clear" class="play-button" (click)="handleSong()">
      <ion-icon slot="icon-only" name="{{playIcon}}"  class="play-icon" color="rmwhite"></ion-icon>
    </ion-button>
    <ion-button fill="clear" class="bg-white after-buutton" (click)="playNext()">
      <ion-icon slot="icon-only" name="play-forward"  class="after-icon"></ion-icon>
    </ion-button>
  </div>
 
</ion-content>
<ion-footer color="rmgray" class="text-center d-flex align-center justify-around"><h4><ion-text color="rmprimary" *ngIf="musicSelected!==undefined">{{musicSelected.name}}</ion-text></h4><ion-img src="assets/img/footer.png" class="footer-img"></ion-img></ion-footer>
